* {
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
}

:root {
  --borderColor: rgba(167, 167, 167, 0.25);
  --bgColor: white;
  --fontColor: rgba(0, 0, 0, 0.7);
  --mainBgColor: rgba(255, 255, 255, 0.021);
  --itemTextColor: rgba(37, 43, 37, 0.836);
}

body {
  position: relative;
  background: linear-gradient(white, rgb(245, 247, 249), rgb(245, 247, 249));
}

button {
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  border: 1px solid var(--borderColor);
  border-radius: 3px;
  background: white;
  color: var(--fontColor);
  z-index: 0;
  overflow: hidden;
  transition: 0.3s;
}

button::before {
  content: "";
  position: absolute;
  background: white;
  height: 1050%;
  width: 1050%;
  border-radius: 250px 0 0 0;
  top: 0;
  left: 0;
  transition: 0.2s;
  z-index: -1;
  color: white;
}

button:hover::before {
  background: tomato;
  border-radius: 0 0 0 0;
}

button:hover {
  text-shadow: 0 0 5px tomato;
  color: white;
  border: 1px solid tomato;
}

/* 
//
//
////////////////////////////////-----       BOXES
//
// 
*/

.main {
  margin: 0px auto;
  padding: 10px 20px;
  border-radius: 5px;
  min-height: 1200px;
  max-width: 1000px;
  background: rgba(0, 0, 0, 0);
}

.main-header {
  padding: 0 30px;
  margin: 0 auto;
  max-width: 1000px;
  font-weight: bold;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 20px;
  font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
  /* color: var(--fontColor); */
  color: #fff;
  background: tomato;
  height: 80px;
  width: 100%;
}

.bar {
  height: 2px;
  width: 100%;
  background: var(--bgColor);
  border-bottom: 2px solid tomato;
  display: flex;
}

#logoWrap {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  display: flex;
  flex-shrink: 1;
  white-space: nowrap;
  font-weight: bolder;
}

.menu-list {
  font-weight: 100;
  font-size: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: auto;
  padding: 0;
  filter: invert(1);
}

.menu-list li {
  display: flex;
  justify-content: center;
  align-items: center;
}

.menu-item {
  margin-left: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.imgIcon {
  height: 20px;
}

.social-title {
  margin-left: 4px;
  color: #000;
  margin-top: auto;
  line-height: 14px;
}

.menu-item:hover {
  color: black !important;
  text-decoration: underline;
}

#todoTitle {
  margin-top: 10px;
}

.done {
  border-radius: 5px;
  height: auto;
  min-height: 1000px;
  min-width: 25%;
  padding: 10px 5px;
}

.todo {
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  height: auto;
  min-height: 1000px;
  min-width: 75%;
  padding: 10px 20px 20px 20px;
}

.container {
  background: transparent;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.boxes {
  margin: 5px;
  background-color: var(--bgColor);
  border: 1px solid var(--borderColor);
  box-shadow: 0 0 5px rgba(211, 211, 211, 0.25);
}

header {
  background: tomato;
}

.header {
  min-height: 50px;
  width: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--fontColor);
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16px;
  border-bottom: 1px solid rgba(128, 128, 128, 0.164);
  color: tomato;
  font-weight: bolder;
}

.todo-create {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin: 5px;
  padding: 10px;
  height: auto;
  width: auto;
  border: 1px solid rgb(230, 230, 230);
  background: linear-gradient(45deg, #fff, rgb(248, 248, 248), #fff);
}

.todo-create-bottom {
  display: flex;
  width: 100%;
}

.todo-list {
  height: 80%;
  width: auto;
  background-color: var(--bgColor);
}

.done-list {
  height: 85%;
  width: auto;
  background-color: var(--bgColor);
}

.todo-item {
  height: auto;
  width: auto;
  padding: 10px;
  background-color: white;
  color: var(--itemTextColor);
  margin: 5px 5px 0 5px;
  box-shadow: 1px 1px 3px rgba(128, 128, 128, 0.2);
  border: 1px solid var(--borderColor);
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  flex-wrap: wrap;
  border-radius: 5px;
}

.done-item {
  color: var(--itemTextColor);
  transition: 0.5s;
  height: auto;
  padding: 2px;
  width: auto;
  background-color: rgb(199, 199, 199);
  margin: 5px 0 0 0;
  background-color: white;
  margin: 5px 5px 0 5px;
  box-shadow: 1px 1px 3px rgba(128, 128, 128, 0.2);
  border: 1px solid var(--borderColor);
}

.done-item-top {
  display: flex;
}

.todo-item-top {
  box-sizing: border-box;
  display: flex;
  height: auto;
  width: 100%;
  padding: 5px;
}

/* 
//
//
////////////////////////////////-----        ELEMENTS
//
//
*/

.todo-create #title {
  margin: 0 0 5px 0;
  width: 47%;
  border: 1px solid var(--borderColor);
  padding: 5px;
  font-size: 14px;
}

.todo-create-bottom #description {
  width: 100%;
  margin-right: 5px;
  resize: none;
  border: 1px solid var(--borderColor);
  padding: 5px;
  font-size: 14px;
}

.todo-item-top .title {
  color: var(--titleColor);
  display: flex;
  align-items: center;
  font-weight: 600;
  border-bottom: 1px solid var(--borderColor);
  margin: 5px;
  height: auto;
  padding-left: 10px;
  padding-bottom: 5px;
  width: 100%;
  font-size: 16px;
}

.todo-item .description {
  color: var(--descColor);
  position: relative;
  display: flex;
  text-overflow: ellipsis;
  margin: 3px;
  height: auto;
  overflow: hidden;
  width: 95%;
  text-indent: 5px;
  padding-left: 10px;
  font-size: 14px;
}

.done-item .title {
  color: var(--titleColor);
  width: 100%;
  font-weight: 600;
  font-size: 15px;
  border-bottom: 1px solid var(--borderColor);

  margin: 5px 0 2px 5px;
  padding: 2px 5px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.done-item .description {
  color: var(--descColor);
  margin: 5px;
  padding: 2px 5px;
  font-size: 13px;
  height: auto;
  /* added elipsis */
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  /* -------- */
}

.submit {
  width: auto;
  height: 30px;
  margin: auto auto 0 auto;
}

.btnDone {
  min-width: 79px;
  height: 30px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.undoImg {
  cursor: pointer;
  margin: 5px 5px 0 0;
  height: 20px;
  transition: 0.25s;
  filter: opacity(25%);
}

.undoImg:hover {
  transform: rotate(-360deg);
  filter: opacity(80%);
}

#todoLogo {
  height: 40px;
  margin-right: 15px;
}

.toast {
  position: fixed;
  width: 400px;
  text-align: center;
  padding: 10px;
  bottom: -40px;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 5px;
  transition: 0.5s;
  background: rgb(144, 199, 218);
  box-shadow: 5px 5px 15px lightgray;
  text-shadow: 0 0 2px rgb(30, 66, 29);
  color: rgb(255, 255, 255);
}

@media (max-width: 600px) {
  .container {
    flex-direction: column;
  }
  .todo {
    order: -1;
    min-height: auto;
  }
  .done {
    min-height: auto;
  }
  .main {
    /* margin: 0; */
    padding: 2px 5px;
    min-height: auto;
  }
  .social-title {
    display: none;
  }
  article.todo.boxes {
    padding: 5px;
  }
}
